
%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:			rnnoise
Version:		0.0.1
Release:		%mkrel 1
Summary:		Recurrent neural network for audio noise reduction
Group:			Sound/Utilities
# https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/HB2GPMVKMTNP5WDGIRNU5NZUO4JWQPII/
License:		BSD
URL:			https://gitlab.xiph.org/xiph/rnnoise
Source0:		%{url}/-/archive/%{commit}/%{name}-%{version}.tar.xz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	make

%description
RNNoise is a noise suppression library based on a recurrent neural network.

While it is meant to be used as a library, a simple command-line tool is
provided as an example. It operates on RAW 16-bit (machine endian) mono PCM
files sampled at 48 kHz. It can be used as:

./examples/rnnoise_demo <noisy speech> <output denoised>

The output is also a 16-bit raw PCM file.

%package -n %{libname}
Summary:		Library files for %{name}

%description -n %{libname}
RNNoise is a noise suppression library based on a recurrent neural network.

While it is meant to be used as a library, a simple command-line tool is
provided as an example. It operates on RAW 16-bit (machine endian) mono PCM
files sampled at 48 kHz. It can be used as:

./examples/rnnoise_demo <noisy speech> <output denoised>

The output is also a 16-bit raw PCM file.

%package -n %{devname}
Summary:		Devel files for %{name}
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

%package doc
Summary:    Documentation

%description doc
Documentation files for %{name}

%prep
%setup -q -n %{name}-%{version}

cat > 'package_version' <<-EOF
    PACKAGE_VERSION=%{version}
EOF

autoreconf -vfi

%build
###./autogen.sh
%configure2_5x --disable-static

%make_build

%install
%makeinstall_std
rm %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc

%files    doc
%doc %{_docdir}/*


%changelog
* Fri Feb 11 2022 onkelho <oh.quait at gmail.com> - 6.2.3-1pclos2022
- new version not yet released
